Subject: [alpine-devel] libgroup needs fts.h...

From: Isaac Dunham <[email-masked]>
Date: Fri, 5 Sep 2014 21:59:51 -0700

Hello,
I wanted to test some tools that come with libcgroup, but it needed fts.h,
which musl does not provide.
The OpenBSD fts.c/fts.h worked with minimal modification 
(s/d_namlen/d_reclen/, add ALIGNBYTE / ALIGN).
I could have added these to musl, but I decided to do it the other way:
create a libfts package.

So here's an apkbuild with source for libfts.
I'm not sure whether CHOST is what I should be using, so feel free to fix it.
With this, I can build libcgroup via make LIBS=-lfts (after applying a patch that I haven't gotten in git yet).

Thanks,
Isaac Dunham